Page MenuHomePhabricator

[JITLink][ELF] Route objects to their matching linker backends based on header info
ClosedPublic

Authored by sgraenitz on Nov 5 2020, 9:21 AM.

Details

Summary

Distinguish objects by target properties address size, endian and machine architecture. So far we only
support x86-64 (ELFCLASS64, ELFDATA2LSB, EM_X86_64).

Diff Detail

Event Timeline

sgraenitz created this revision.Nov 5 2020, 9:21 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 5 2020, 9:21 AM
sgraenitz requested review of this revision.Nov 5 2020, 9:21 AM
lhames accepted this revision.Dec 7 2020, 4:06 PM

LGTM. Thanks Stefan!

This revision is now accepted and ready to land.Dec 7 2020, 4:06 PM
This revision was landed with ongoing or failed builds.Dec 8 2020, 1:56 AM
This revision was automatically updated to reflect the committed changes.